echo off
if "%1"=="" goto DEFAULT
cls
echo .
echo             Activision's NINJA Hard Disk Installation
echo ----------------------------------------------------------------
echo .
echo     Usage is :  INSTALL   (Installs Ninja on drive C:)
echo                   OR
echo                 INSTALL drive  (no colon)  (Installs ninja on drive:)
echo    for example INSTALL D would install ninja on hard drive D:
echo .
echo ----------------------------------------------------------------
echo .
echo                  This installation for NINJA will:
echo -- make a sub-directory named ninja into the root directory of drive %1:
echo -- copy the appropriate files from this game disk to \NINJA
echo .
echo ----------------------------------------------------------------
echo .
echo                  Type CTRL C to abort installation to
echo                  %1:\NINJA
echo .
pause
cls
md %1:\ninja
cd %1:\ninja
echo .
echo COPYING NINJA FILES ...
copy *.* %1: >NUL
echo .
echo PLEASE PUT GAME DISK A INTO DRIVE
pause
copy *.* %1: >NUL
del %1:install.bat >NUL
%1:
cls
echo .
echo Hard disk installation is complete to %1:\ninja
echo :
echo :  Enter:
echo :
echo :    NINJA  to start the game
echo :
echo .
goto END
:DEFAULT
install C

:END
